aboutsummaryrefslogtreecommitdiffstats
path: root/bootstrap-hc2vpp-integration.sh
diff options
context:
space:
mode:
authorselias <samelias@cisco.com>2016-12-13 10:43:38 +0100
committerSamuel Eliáš <samelias@cisco.com>2016-12-13 12:37:46 +0000
commitf66bdbdcf7f238034d447c37facb2623f71df06a (patch)
tree09695f63b29c830d445876ebe6a8d9b06fc5a58e /bootstrap-hc2vpp-integration.sh
parentd7fed63ae2b5d7b3d1f67f572da2d23388f22018 (diff)
HC Test: fix artifact archiving in csit-hc2vpp jobs
- scp the honeycomb log from virl DUT - remove unused bootstrap file left over from the old job Change-Id: I863436bb8865d2003812e21f01854855059665f6 Signed-off-by: selias <samelias@cisco.com>
Diffstat (limited to 'bootstrap-hc2vpp-integration.sh')
-rwxr-xr-xbootstrap-hc2vpp-integration.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/bootstrap-hc2vpp-integration.sh b/bootstrap-hc2vpp-integration.sh
index 9554924122..0e0b8425c6 100755
--- a/bootstrap-hc2vpp-integration.sh
+++ b/bootstrap-hc2vpp-integration.sh
@@ -210,3 +210,9 @@ PYTHONPATH=`pwd` pybot -L TRACE -W 136\
--include honeycomb_sanity \
--noncritical EXPECTED_FAILING \
tests/
+
+# Get Honeycomb log file from virl host
+# log only exists on DUT1
+for index in "${!VIRL_SERVER[@]}"; do
+ scp ${SSH_OPTIONS} ${VIRL_USERNAME}@${VIRL_SERVER[${index}]}:/var/log/honeycomb/honeycomb.log . || true
+done